XmRepTypeGetNameList(library call)

NAME
XmRepTypeGetNameList — A representation type manager function that generates a list of values for a representation type

SYNOPSIS

#include <Xm/RepType.h>
String * XmRepTypeGetNameList(
XmRepTypeId rep_type_id,
Boolean use_uppercase_format);

DESCRIPTION

XmRepTypeGetNameList generates a NULL-terminated list of the value names associated with the specified representation type. Each value name is a NULL-terminated string. This routine allocates memory for the returned data. The application must free this memory using XtFree.

rep_type_id
    Specifies the identification number of the representation type.

use_uppercase_format
    Specifies a Boolean value that controls the format of the name list. If the value is True, each value name is in uppercase characters prefixed by Xm; if it is False, the names are in lowercase characters.

RETURN

Returns a pointer to an array of the value names.

RELATED

XmRepTypeGetId(3), XmRepTypeGetRegistered(3), and XmRepTypeRegister(3).